package com.atlassian.webdriver.bitbucket.element;

import com.atlassian.pageobjects.elements.PageElement;
import com.atlassian.pageobjects.elements.timeout.TimeoutType;
import org.openqa.selenium.By;

public class RefLozenge extends LegacyElementPageObject {

    public RefLozenge(PageElement pageElement) {
        super(pageElement);
    }

    public RefLozenge(By locator, TimeoutType timeoutType) {
        super(locator, timeoutType);
    }

    public String getRepository() {
        return find(By.cssSelector(".repository .name")).getText();
    }

    public String getBranch() {
        return find(By.cssSelector(".branch .name")).getText();
    }
}
